Name: Box2D
Version:  2.2.1
Release:  7%{?dist}
Summary: A 2D Physics Engine for Games

Group: Development/Libraries
License: zlib
URL: http://box2d.org/
#http://code.google.com/p/box2d/downloads
#Not using URL since I can't find one code.google.com will produce.
Source0: Box2D_v2.2.1.zip
Patch0: Box2D-2.2.1-unbundle-freeglut.patch
Patch1: Box2D-2.2.1-unbundle-glui.patch
BuildRequires: cmake freeglut-devel libXi-devel glui-devel

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description
Box2D is an open source C++ engine for simulating rigid bodies in 2D. 
Box2D is developed by Erin Catto and has the zlib license. 
While the zlib license does not require acknowledgement, 
we encourage you to give credit to Box2D in your product. 

%description devel
Box2D is an open source C++ engine for simulating rigid bodies in 2D. 
Box2D is developed by Erin Catto and has the zlib license. 
While the zlib license does not require acknowledgement, 
we encourage you to give credit to Box2D in your product. 

These are the development files.

%prep
%setup -qn Box2D_v2.2.1
%patch0 -p0 -b .freeglut
%patch1 -p0 -b .glui
rm -rf freeglut
rm -rf glui

%build
sed -i 's/\r//' License.txt
sed -i 's/\r//' Readme.txt
pushd Box2D
%cmake -DBOX2D_INSTALL=ON -DBOX2D_BUILD_SHARED=ON -DCMAKE_EXE_LINKER_FLAGS="-lglut -lglui -lGLU" ..
make

%install
pushd Box2D
make install DESTDIR=%{buildroot}
#ugly hack
%if %{__isa_bits} == 64
  mv %{buildroot}/usr/lib %{buildroot}/usr/lib64
%endif

find %{buildroot} -name '*.cmake' | xargs rm
find %{buildroot} -name '*.a' | xargs rm


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%doc License.txt
%{_libdir}/*.so.*

%files devel
%doc Readme.txt Documentation/
%{_libdir}/*.so
%{_includedir}/Box2D


%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Jon Ciesla <limburgher@gmail.com> - 2.2.1-3
- Review fixes from BZ 844090 comment 6.

* Thu Aug 02 2012 Jon Ciesla <limburgher@gmail.com> - 2.2.1-2
- Unbundle freeglut and glui.

* Sat Jul 28 2012 Jon Ciesla <limburgher@gmail.com> - 2.2.1-1
- create.
